# -*- mode: landisk-python; coding: utf-8; -*-
# vim:ts=4 sw=4 sts=4 ai si et sta

"""Information utility module for backup and data copy.

Define class for information about backup, data copy.
"""

from ionas.backupsync.info import (JobInfo,)


NAME_NAME = "name"
TYPE_NAME = "type"


class BackupJobInfo(JobInfo):
    """Class for backup job information."""

    def __init__(self, job_xml):
        """Constructor."""

        super(BackupInfo, self).__init__(job_xml.get_value(NAME_NAME))


class DataCopyJobInfo(JobInfo):
    """Class for data copy job information."""

    def __init__(self, job_xml):
        """Constructor."""

        super(BackupInfo, self).__init__(job_xml.get_value(NAME_NAME))
